### Créer un certificat pour une wildcard


#### Créer clé d'API (Gandi.net)

![cle-api](../../assets/divers/server/cle-api.png)

![cle-api2](../../assets/divers/server/cle-api-2.png)

```{ .bash .copy }
sudo mkdir /etc/letsencrypt/gandi
sudo tee $cle_api_gandi > /etc/letsencrypt/gandi/api_key_gandi.ini
chmod 600 /etc/letsencrypt/gandi/api_key_gandi.ini
```
> Remplacer `$cle_api_gandi` par la clé d'api générée sur Gandi

#### Créer un enregistement DNS

![cle-api3](../../assets/divers/server/cle-api-3.png)

#### Créer le certificat

```{ .bash .copy }
sudo certbot certonly \
    --authenticator dns-gandi \
    --dns-gandi-credentials /etc/letsencrypt/gandi/api_key_gandi.ini \
    --server https://acme-v02.api.letsencrypt.org/directory \
    -d $domain -d *.$domain
```
> Remplacer `$domain` par le domaine concerné

#### Renouvellement auto du certificat

Création de la crontab pour renouveler les certificat tout les deux mois:

```{ .bash .copy }
(crontab -l 2>/dev/null; echo '0 4 * * * certbot renew --quiet --dns-gandi-credentials /etc/letsencrypt/gandi/api_key_gandi.ini >> /var/log/letsencrypt-renew.log 2>&1') | crontab -
```

